Description: add missing function declarations
 The package fails to build due to -Werror=implicit-function-declaration.
 Add missing headers and definitions.
Author: Vladimir Petko <vladimir.petko@canonical.com>
Bug-Ubuntu: https://bugs.launchpad.net/ubuntu/+source/gimp-plugin-registry/+bug/2058813
Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1066291
Last-Update: 2024-04-04

--- a/separate+/separate+/iccbutton.h
+++ b/separate+/separate+/iccbutton.h
@@ -125,6 +125,8 @@
                                          gint         n);
 gint       icc_button_get_max_entries   (IccButton   *button);
 gboolean   icc_button_get_enable_empty  (IccButton   *button);
+void       icc_button_set_enable_empty  (IccButton *button,
+                                         gboolean   enabled);
 gboolean   icc_button_is_empty          (IccButton   *button);
 void       icc_button_dialog_set_show_detail
                                         (IccButton   *button,
--- a/separate+/src/separate-export.c
+++ b/separate+/src/separate-export.c
@@ -37,6 +37,7 @@
 #include "psd.h"
 #include "jpeg.h"

+#include "util.h"

 gchar *file_extention_table[] =
 {
--- a/lqr/src/src/preview.c
+++ b/lqr/src/src/preview.c
@@ -18,6 +18,9 @@

 #include "config.h"

+#undef GDK_DISABLE_DEPRECATED
+#include <gdk/gdk.h>
+
 #include <libgimp/gimp.h>
 #include <libgimp/gimpui.h>
